* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family: "Noto Sans Georgian", sans-serif;
}

html {
	scroll-behavior: smooth;
}

a {
	text-decoration: none;
}

/* Header */

.header {
	display: flex;
	align-items: center;
	justify-content: space-between;
	padding: 1% 7%;
}

.left-header {
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 10px;
	text-transform: uppercase;
}

.left-header img {
	width: 100px;
}

.logo-name {
	color: #000;
	font-size: 34px;
	font-weight: 600;
}

.group {
	display: flex;
	line-height: 28px;
	align-items: center;
	justify-content: center;
	position: relative;
	width: 250px;
}

.search-btn {
	background: none;
	border: none;
	display: flex;
	align-items: center;
	justify-content: center;
	padding: 0;
}

.search-btn .icon {
	width: 24px;
	height: 24px;
	display: block;
}


.input {
	width: 100%;
	height: 50px;
	line-height: 28px;
	padding: 0 1rem;
	padding-left: 2.5rem;
	border: 2px solid #e3e3e3;
	border-radius: 26px;
	outline: none;
	color: #0d0c22;
	transition: .3s ease;
}

.input::placeholder {
	color: #9e9ea7;
}

.input:focus,
input:hover {
	outline: none;
	border-color: rgba(234, 76, 137, 0.4);
	background-color: #fff;
	box-shadow: 0 0 0 4px rgb(234 76 137 / 10%);
}

.icon {
	position: absolute;
	left: 1rem;
	fill: #9e9ea7;
	height: 1rem;
}


/* Nav */
.navigation {
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 35px;
	padding: 1.5% 0;
	background-color: #dc9897;
}

.navigation a {
	color: #fff;
	font-weight: bold;
	font-size: 14px;
	transition: color 0.3s ease;
	position: relative;
	display: inline-block;
	padding: 10px 15px;
	text-decoration: none;
}

.navigation a:hover {
	color: #f3c7c8;
}


.navigation a::after {
	content: "";
	position: absolute;
	left: 50%;
	bottom: -5px;
	width: 0;
	height: 2px;
	background-color: #fff;
	transition: width 0.4s ease, left 0.4s ease;
}

.navigation a:hover::after {
	width: 100%;
	left: 0;
}

#mobile-text {
	display: none;
}

/* Section */
.section-baby {
	display: flex;
	align-items: center;
	justify-content: center;
	padding: 2% 0;
	gap: 10%;
	background-color: #f7f7f7;
}

.left-section img {
	max-width: 500px;
	height: auto;
}

.right-section {
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
}

.right-section p {
	margin: 0;
	font-size: 68px;
	text-align: right;
	font-weight: 600;
}

.btn {
	position: relative;
	font-size: 17px;
	text-transform: uppercase;
	text-decoration: none;
	padding: 1em 4.5em;
	display: inline-block;
	cursor: pointer;
	border-radius: 6em;
	transition: all 0.2s;
	border: none;
	font-family: inherit;
	font-weight: 500;
	color: #fff;
	background-color: #dc9897;
	margin-top: 50px;
}

.btn:hover {
	transform: translateY(-3px);
	box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
}

.btn:active {
	transform: translateY(-1px);
	box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
}

.btn::after {
	content: "";
	display: inline-block;
	height: 100%;
	width: 100%;
	border-radius: 100px;
	position: absolute;
	top: 0;
	left: 0;
	z-index: -1;
	transition: all 0.4s;
}

.btn::after {
	background-color: #dc9897;
}

.btn:hover::after {
	transform: scaleX(1.4) scaleY(1.6);
	opacity: 0;
}

/* Main */
.catalog {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(230px, 1fr));
	gap: 20px;
	text-align: center;
	margin-top: 5%;
	padding: 0 5%;
}

.catalog-info {
	background-color: #f6f6f6;
	padding: 50px 0;
	border-radius: 12px;
	box-shadow: 0 4px 8px rgba(0, 0, 0, 0.05);
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	transition: transform 0.3s;
	height: 100%;
}

.catalog-info:hover {
	transform: scale(1.03);
}

.catalog-info img {
	width: 230px;
	height: 100px;
	object-fit: contain;
	margin-bottom: 20px;
}

.catalog-name {
	margin: 0;
	font-size: 10px;
	color: #000;
	word-break: break-word;
}

/* Footer */
.container {
	max-width: 1170px;
	margin: auto;
}

.row {
	display: flex;
	flex-wrap: wrap;
}

ul {
	list-style: none;
}

.footer {
	background-color: #000;
	padding: 70px 0;
}

.footer-col {
	width: 25%;
	padding: 0 15px;
}

.footer-col h4 {
	font-size: 18px;
	color: #ffffff;
	text-transform: capitalize;
	margin-bottom: 35px;
	font-weight: 500;
	position: relative;
}

.footer-col h4::before {
	content: '';
	position: absolute;
	left: 0;
	bottom: -10px;
	background-color: #dc9897;
	height: 2px;
	box-sizing: border-box;
	width: 50px;
}

.footer-col ul li:not(:last-child) {
	margin-bottom: 10px;
}

.footer-col ul li a {
	font-size: 16px;
	text-transform: capitalize;
	color: #ffffff;
	text-decoration: none;
	font-weight: 300;
	color: #bbbbbb;
	display: block;
	transition: all 0.3s ease;
}

.footer-col ul li a:hover {
	color: #ffffff;
	padding-left: 8px;
}

.footer-col .social-links a {
	display: inline-block;
	height: 40px;
	width: 40px;
	background-color: rgba(255, 255, 255, 0.2);
	margin: 0 10px 10px 0;
	text-align: center;
	line-height: 40px;
	border-radius: 50%;
	color: #ffffff;
	transition: all 0.5s ease;
}

.footer-col .social-links a:hover {
	color: #24262b;
	background-color: #ffffff;
}

.footer-col.end {
	margin-left: auto;
}

@media (max-width: 991px) {
	.left-header {
		display: flex;
		flex-direction: column;
		align-items: center;
		justify-content: center;
	}

	.left-header img {
		max-width: 70px;
	}
}

@media (max-width: 767px) {
	.header {
		display: flex;
		align-items: center;
		justify-content: space-between;
		padding: 5%;
		gap: 20px;
	}

	.left-header {
		display: flex;
		flex-direction: column;
		align-items: center;
		justify-content: center;
	}

	.left-header img {
		max-width: 70px;
	}

	form {
		display: none;
	}

	.navigation {
		display: flex;
		position: fixed;
		bottom: 0;
		left: 0;
		width: 100%;
		justify-content: space-between;
		background-color: #dc9897;
		z-index: 1000;
		padding: 10px 10px;
		box-shadow: 0px -2px 10px rgba(0, 0, 0, 0.2);
	}

	.navigation a {
		flex: 1;
		text-align: center;
		font-size: 14px;
		padding: 8px 0;
	}

	.group {
		max-width: 120px;
		height: 10px;
	}

	.input {
		height: 40px;
	}

	.section-baby {
		flex-direction: column;
		gap: 30px;
		padding: 5% 2%;
		text-align: center;
	}

	#desktop-text {
		display: none;
	}

	#mobile-text {
		display: inline;
	}

	.left-section img {
		max-width: 100%;
	}

	.right-section p {
		text-align: center;
	}

	.main {
		margin: 15px 0;
	}

	.main .footer-col {
		width: 50%;
		margin-bottom: 30px;
	}

	#catalog p {
		font-size: 24px;
	}

	@media(max-width: 574px) {
		.footer-col {
			width: 100%;
		}
	}
}

.pagination {
	display: flex;
	justify-content: center;
	margin: 20px 0;
}

.pagination-btn {
	background-color: #f0f0f0;
	border: none;
	padding: 10px 15px;
	margin: 0 5px;
	cursor: pointer;
	border-radius: 5px;
	transition: background 0.3s;
}

.pagination-btn:hover {
	background-color: #ddd;
}

.pagination-btn.active {
	background-color: #555;
	color: white;
}